Application: gvSIG desktop - gvSIG bugs #2381
Error opening a project
02/26/2014 11:47 AM - Mario Carrera

Status: Invalid % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Application

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

An error has appeared when a project was being opened, and it wasn't opened. | attach the project file and the log.

History

#1 - 02/26/2014 12:22 PM - Alvaro Anguix
- Category set to Application

- Assignee set to Ignacio Brodin

- Priority changed from Normal to Immediate
- Target version set to 2.1.0-2221-testing

#2 - 02/26/2014 05:19 PM - Ignacio Brodin
- Assignee changed from Ignacio Brodin to Joaquin del Cerro Murciano

Joaquin, en este proyecto hay algunas capas que estan vacias, como por ejemplo:
<gvsig:Persistence__FLyrVect id="741">
</gvsig:Persistence__ FLyrVect>
Eso hace que pete al cargar porque no entiende la estructura del xml, al menos eso dice. No se, igual espera que hubiera algo dentro. El caso es que

si elimino esas tres capas vacias deja de dar el fallo.

En cualquier caso no entiendo porque puede haberse generado esas entradas asi y no somos capaces de replicarlo.

Si no lo sabes tu tampoco lo damos por invalido.

#3 - 02/27/2014 11:42 AM - Alvaro Anguix
- Status changed from New to Invalid

Mario, tras hablarlo con Joaquin y ser imposible replicarlo y acotar el error, lo pasamos a invalido.
Sin embargo, si pudieras replicarlo coméntalo, ya que es un error del que no deberiamos olvidarnos ya que todo indica que ha habido una
circunstancia que ha provocado que se corrompa un proyecto.

#4 - 02/27/2014 11:55 AM - Mario Carrera
De acuerdo, intentaré replicarlo.

Como dato, Nacho ha cambiado un par de cosas en el gvsprj, y al abrir el proyecto de nuevo ya ha abierto, pero en la Gltima vista que tenia tengo dos
capas con error: Null_point y Null_polygon. Por el orden de los procesos que habia hecho se han debido crear con enlace espacial o con dissolve
(que habian dado error al ejecutarse). Para tenerlo en cuenta cuando lo intentemos replicar. Al guardar el proyecto ese de nuevo ha dado error.

#5 - 02/27/2014 11:59 AM - Alvaro Anguix

Por lo que comentas, entonces valdra la pena comprobarlo con el préximo build que llevara las correcciones de geoprocesos que pueden haber

corrompido el proyecto.

Files
proyecto2.gvsproj 39 KB 02/26/2014 Mario Carrera
gvSIG_opening_project.log 419 KB 02/26/2014 Mario Carrera
